Skip to main content

Business Offers

Accor availability allows any partner to retrieve the best offer.

Version
1.33
Status
Coming soon
Incident
No incident

<div style="color:rgba(255,255,255,1);background-color:rgba(56,50,108,1);" class="icon--content field field--field-icon field--label-hidden field__item">

HTTP Methods

The Business Offers API is accessible only through the HTTPS protocol and accepts HTTP GET and HTTP POST requests depending on the endpoint.

Get credentials


<div style="color:rgba(255,255,255,1);background-color:rgba(56,50,108,1);" class="icon--content field field--field-icon field--label-hidden field__item">

Authentication

The Business Offers API requires two authentication mechanisms to be provided simultaneously:

  • BearerAuth: A JWT bearer token passed in the Authorization header.
  • apiKeyAuth: An API key passed in the apikey header.

<div style="color:rgba(255,255,255,1);background-color:rgba(56,50,108,1);" class="icon--content field field--field-icon field--label-hidden field__item">

HTTP Response codes

We use conventional HTTP response codes to indicate the success or failure of an API request.

  • Codes in the 2xx range indicate success.
  • Codes in the 206 range indicate a partially successful operation (some hotels may have failed).
  • Codes in the 4xx range indicate an error.
  • Codes in the 5xx range indicate an server error.

Some 4xx errors that could be handled programmatically include an error code that briefly explains the error reported.


<div style="color:rgba(255,255,255,1);background-color:rgba(56,50,108,1);" class="icon--content field field--field-icon field--label-hidden field__item">

HTTP ACCEPT-LANGUAGE

The Business Offers API supports, with certain qualifications, the ability to specify languages as part of an HTTP request, using the ACCEPT-LANGUAGE HTTP header. The API honors this header where possible, selecting a language from the ACCEPT-LANGUAGE header and returning messages in that language.

When the ACCEPT-LANGUAGE header contains no language or a language that the API can't support, messages are returned in a default language, in this case, it will be English.


<div style="color:rgba(255,255,255,1);background-color:rgba(56,50,108,1);" class="icon--content field field--field-icon field--label-hidden field__item">

Example

Get Best Offers for a List of Hotels

Retrieve the cheapest available offer per hotel by providing a list of hotel IDs along with stay parameters such as check-in date, length of stay, and occupancy.

GET https://rec-api.accor.com/businessoffers/v1/best-offers?hotelIds=0911,0912&dateIn=2025-10-15&lengthOfStay.value=2&adults=2

Click to reveal the response example


{
    "bestOffers": [
        {
            "hotelId": "0911",
            "offerId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
            "roomCode": "QED",
            "ratePlanCode": "BAR",
            "dateIn": "2025-10-15",
            "dateOut": "2025-10-17",
            "lengthOfStay": {
                "unit": "NIGHT",
                "value": 2
            },
            "occupancy": {
                "adults": 2,
                "children": 0
            },
            "price": {
                "amount": 250.00,
                "currency": "EUR"
            }
        }
    ]
}

Post Best Offers for a List of Hotels

Alternatively, use the POST variant to pass a richer request body for the same endpoint.

POST https://rec-api.accor.com/businessoffers/v1/best-offers


Get Available Offers for a Specific Hotel

Retrieve the best available offers per product for a specific hotel using a POST request with a request body.

POST https://rec-api.accor.com/businessoffers/v1/hotels/{{hotelId}}/products/offers


Get Calendar Best Offers

Retrieve the cheapest and best offer for each day of a searched period to populate a pricing calendar.

GET https://rec-api.accor.com/businessoffers/v1/hotels/{{hotelId}}/calendar/best-offers?from=2025-10-01&to=2025-10-31&lengthOfStay.value=2&adults=2


Get Pricing Conditions

Retrieve pricing conditions for a specific offer by its ID.

GET https://rec-api.accor.com/businessoffers/v1/offers/{{offerId}}/pricing-conditions


Get Available Options and Upsells

Retrieve available options and upsells for a list of offer IDs.

GET https://rec-api.accor.com/businessoffers/v1/offers/options?offerIds={{offerId1}},{{offerId2}}

About us

We are far more than a worldwide leader. We are 300,000 hospitality experts placing people at the heart of what we do, and nurturing real passion for service and achievement beyond limits. We take care of millions of guests in our 5,000 addresses.